Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3.support
Class ScopedBeanInterceptor

    java.lang.Object
      org.hibernate.EmptyInterceptor
          org.springframework.orm.hibernate3.support.ScopedBeanInterceptor

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.Interceptor

    public class ScopedBeanInterceptor

extends org.hibernate.EmptyInterceptor

Hibernate3 interceptor used for getting the proper entity name for scoped beans. As scoped bean classes are proxies generated at runtime, they are unrecognized by the persisting framework. Using this interceptor, the original scoped bean class is retrieved end exposed to Hibernate for persisting.

Usage example:

     <bean id="sessionFactory" class="org.springframework.orm.hibernate3.LocalSessionFactoryBean">
       ...
       <property name="entityInterceptor">
         <bean class="org.springframework.orm.hibernate3.support.ScopedBeanInterceptor"/>
       </property>
     </bean>

Since:
  2.0
Author:
  Costin Leau, Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.EmptyInterceptor
`INSTANCE`

Constructor Summary
`ScopedBeanInterceptor()`

Method Summary
`java.lang.String` | `getEntityName(java.lang.Object entity)`

Methods inherited from class org.hibernate.EmptyInterceptor
`afterTransactionBegin, afterTransactionCompletion, beforeTransactionCompletion, findDirty, getEntity, instantiate, isTransient, onCollectionRecreate, onCollectionRemove, onCollectionUpdate, onDelete, onFlushDirty, onLoad, onPrepareStatement, onSave, postFlush, preFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopedBeanInterceptor

    public ScopedBeanInterceptor()

Method Detail

### getEntityName

    public java.lang.String getEntityName(java.lang.Object entity)

  Specified by:
    `getEntityName` in interface `org.hibernate.Interceptor`
  Overrides:
    `getEntityName` in class `org.hibernate.EmptyInterceptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD